1. API Endpoints
Pix2DePix API
  • 📜 API Overview
  • Docs
    • 🔑 Authentication
    • 💻 Examples
    • 🪝 Webhook
    • ✅ Possible Statuses
      • 📥💰 Deposit Statuses
      • 📤💸 Withdraw Statuses
    • 🛡️ Security & Limits
      • ✅ Best Practices
      • 🪲 Bug Bounty
      • 🧱 Firewall
      • 🚦 API Limits
    • 🧩 Advanced (optional)
      • 🎲 Nonce
      • 🔀 Sync / Async call
  • API Endpoints
    • Ping
      GET
    • Deposit (PIX ➔ DePix)
      POST
    • Deposit Status
      GET
    • Deposits
      GET
    • User Info
      GET
    • Pix2FA
      POST
    • Withdraw
      POST
    • Withdraw Status
      GET
  • Schemas
    • AsyncResponse
    • AllPossibleObjResponses
    • StandardResponse
    • PingObjOrError
    • JWTClaims
    • ObjResponse
    • ErrorObj
    • PingObj
    • ErrorResponse
    • DepositRequest
    • DepositObjOrError
    • DepositObj
    • PingResponse
    • DepositResponse
    • DepositStatusObj
    • DepositStatusResponse
    • DepositWebhookBody
    • DepositsResponse
    • DepositStatus
    • UserInfoResponse
    • Pix2FAResponse
    • WithdrawStatusResponse
    • WithdrawStatusObj
    • WithdrawResponse
    • WithdrawObj
    • WithdrawStatus
    • WithdrawWebhookBody
    • MEDWebhookBody
  1. API Endpoints

Deposits

GET
deposits
This API returns a list of deposits in a compact form. It may be used from time to time as a fallback in case the webhook fails.
It currently returns up to 200 rows per query.
Parameters:
start included, end excluded - start ≤ x < end
status - Refer to Deposit Status String documentation

Request

Authorization
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
Query Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://depix.eulen.app/api/deposits?start=2006-01-01 or 2006-01-01T00:00:00-03:00&end=2006-02-01 or 2006-02-01T00:00:00-03:00&status=' \
--header 'X-Nonce;' \
--header 'X-Async: auto' \
--header 'Authorization: Bearer <token>'

Responses

🟢200Success
application/json
Body

Example
[
    {
        "qrId": "0198443f48c273d3afc72eb454025d19",
        "status": "depix_sent",
        "bankTxId": "71"
    },
    {
        "qrId": "0198443f48c273d3afc72eb454025d19",
        "status": "under_review",
        "bankTxId": "70"
    },
    {
        "qrId": "0198443f48c273d3afc72eb454025d19",
        "status": "refunded",
        "bankTxId": "63"
    }
]
🟠400Bad request
🟠401Unauthorized
🟢202OK Accepted
🟠403Forbidden
🔴500Server Error
🔴503Service Unavailable
Modified at 2026-02-20 23:11:03
Previous
Deposit Status
Next
User Info
Built with